htdb_dump(1)

NAME
htdb_dump - dump the content of an inverted index in Berkeley DB fashion

SYNOPSIS
htdb_dump [-klNpWz] [-S pagesize] [-C cachesize] [-d ahr] [-f file] [-h home] [-s subdb] db_file

DESCRIPTION
htdb_dump is a slightly modified version of the standard Berkeley DB db_dump utility. The htdb_dump utility reads the database file db_file and writes it to the standard output using a portable flat-text format understood by the htdb_load utility. The argument db_file must be a file produced using the Berkeley DB library functions.

OPTIONS

-W  Initialize WordContext(3) before dumping. With the -z flag allows to dump inverted indexes using the mifluz(3) specific compression scheme. The MIFLUZ_CONFIG environment variable must be set to a file containing the mifluz(3) configuration.

-z  The db_file is compressed. If -W is given the mifluz(3) specific compression scheme is used. Otherwise the default gzip compression scheme is used.

-d  Dump the specified database in a format helpful for debugging the Berkeley DB library routines.

a   Display all information.

h   Display only page headers.

r   Do not display the free-list or pages on the free list. This mode is used by the recovery tests.

The output format of the -d option is not standard and may change, without notice, between releases of the Berkeley DB library.

-f  Write to the specified file instead of to the standard output.

-h  Specify a home directory for the database. As Berkeley DB versions before 2.0 did not support the concept of a database home.

-k  Dump record numbers from Queue and Recno databases as keys.

-l  List the subdatabases stored in the database.

-N  Do not acquire shared region locks while running. Other problems such as potentially fatal errors in Berkeley DB will be ignored as well. This option is intended only for debugging errors and should not be used under any other circumstances.

-p  If characters in either the key or data items are printing characters (as defined by isprint (3)), use printing characters in file to represent them. This option permits users to use standard text editors and tools to modify the contents of databases. Note, different systems may have different notions as to what characters are considered printing characters , and databases dumped in this manner may be less portable to external systems.

-s  Specify a subdatabase to dump. If no subdatabase is specified, all subdatabases found in the database are dumped.

-V  Write the version number to the standard output and exit.

Dumping and reloading Hash databases that use user-defined hash functions will result in new databases that use the default hash function. While using the default hash function may not be optimal for the new database, it will continue to work correctly. Dumping and reloading Btree databases that use user-defined prefix or comparison functions will result in new databases that use the default prefix and comparison functions. In this case, it is quite likely that the database will be damaged beyond repair permitting neither record storage or retrieval. The only available workaround for either case is to modify the sources for the htdb_load utility to load the database using the correct hash, prefix and comparison functions.

ENVIRONMENT
DB_HOME If the -h option is not specified and the environment variable DB_HOME is set, it is used as the path of the database home. MIFLUZ_CONFIG file name of configuration file read by WordContext(3). Defaults to ~/.mifluz.

AUTHORS
Sleepycat Software http://www.sleepycat.com/ Loic Dachary loic@gnu.org The Ht://Dig group http://dev.htdig.org/

SEE ALSO
htdb_stat(1), htdb_load(1), mifluzdump(1), mifluzload(1), mifluzsearch(1), mifluzdict(1), WordContext(3), WordList(3), WordDict(3), WordListOne(3), WordKey(3), WordKeyInfo(3), WordType(3), WordDBInfo(3), WordRecordInfo(3), WordRecord(3), WordReference(3), WordCursor(3), WordCursorOne(3), WordMonitor(3), Configuration(3), mifluz(3)